#ifndef STARFIELD_H
#define STARFIELD_H

#include "screen.h"
#include "point.h"
const int NUMSTAR=10;
const int NUMFIELD=8;
const int MAXSPEED=4;

class
StarField : public Screen
{
private:
	pixel back[NUMSTAR][NUMFIELD];
	point pos[NUMSTAR][NUMFIELD];
	int speed[NUMSTAR][NUMFIELD];
	int color[NUMFIELD];
public:
	StarField();
        void update(void);
	void move(void);
        void replace(void);
        void paste(void);
	void getBack(void);
};

#endif
